#2 allows non-root user to build kernel specific rpm versions

closed
nobody
None
5
2012-10-06
2004-10-16
Bernard Johnson
No

This patch will allow a non-root user to build a rpm
for a specific kernel version if that kernel is
installed on the system. (You don't need to be running
that kernel version either)

make rpm KERNELTARGET=2.6.8-1.521

This is only an example and has not been tested to see
whether it works with 2.4 kernel builds.

This procedure works in my test system for 2.6 kernels
on Fedora Core 2.

Discussion

  • patch

     
    Attachments
  • Logged In: YES
    user_id=918798

    Can you post your patch to the mailing list so more people see the
    patch and submit feedback?

     
  • Logged In: YES
    user_id=918798

    I believe the current version supports this feature. If you have any
    comments about it, send mail to mailing list.